Ari Brown wrote:
> 
> How can ActiveRecord not be up-to-date to connect to my MySQL?
> Here's the error when I - not connect - but try to query the database.
> 
> CODE
> character.rb(main):018:0* puts Character.find(:first).firstn
> Mysql::Error: Client does not support authentication protocol requested 
> by server; consider upgrading MySQL client
> 
> Bwah? Not QUITE sure what that means, but I have a hunch that it's bad.

Mysql change how it handled password encryption somewhere between 
version 3.x and 5.y.

If you are using an older version of ActiveRecord you may have to update 
AR or tell Mysql to use the older style of password encoding.



James